diff -ur orig.lcd4linux/lcd4linux-0.11.0~svn1165/configure mod.lcd4linux/lcd4linux-0.11.0~svn1165/configure
--- orig.lcd4linux/lcd4linux-0.11.0~svn1165/configure	2011-12-26 15:28:05.000000000 +0900
+++ mod.lcd4linux/lcd4linux-0.11.0~svn1165/configure	2014-06-16 20:19:59.000000000 +0900
@@ -8955,13 +8955,28 @@
 
 # MPD
 if test "$PLUGIN_MPD" = "yes"; then
-   { $as_echo "$as_me:${as_lineno-$LINENO}: checking for mpd_connection_new in -lmpdclient" >&5
-$as_echo_n "checking for mpd_connection_new in -lmpdclient... " >&6; }
-if ${ac_cv_lib_mpdclient_mpd_connection_new+:} false; then :
+   for ac_header in libmpd/libmpd.h
+do :
+  ac_fn_c_check_header_mongrel "$LINENO" "libmpd/libmpd.h" "ac_cv_header_libmpd_libmpd_h" "$ac_includes_default"
+if test "x$ac_cv_header_libmpd_libmpd_h" = x""yes; then :
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBMPD_LIBMPD_H 1
+_ACEOF
+ has_libmpd_header="true"
+else
+  has_libmpd_header="false"
+fi
+
+done
+
+   if test "$has_libmpd_header" = "true"; then
+      { $as_echo "$as_me:${as_lineno-$LINENO}: checking for mpd_connect in -lmpd" >&5
+$as_echo_n "checking for mpd_connect in -lmpd... " >&6; }
+if test "${ac_cv_lib_mpd_mpd_connect+set}" = set; then :
   $as_echo_n "(cached) " >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lmpdclient  $LIBS"
+LIBS="-lmpd  $LIBS"
 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
 /* end confdefs.h.  */
 
@@ -8971,46 +8986,45 @@
 #ifdef __cplusplus
 extern "C"
 #endif
-char mpd_connection_new ();
+char mpd_connect ();
 int
 main ()
 {
-return mpd_connection_new ();
+return mpd_connect ();
   ;
   return 0;
 }
 _ACEOF
 if ac_fn_c_try_link "$LINENO"; then :
-  ac_cv_lib_mpdclient_mpd_connection_new=yes
+  ac_cv_lib_mpd_mpd_connect=yes
 else
-  ac_cv_lib_mpdclient_mpd_connection_new=no
+  ac_cv_lib_mpd_mpd_connect=no
 fi
 rm -f core conftest.err conftest.$ac_objext \
     conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_mpdclient_mpd_connection_new" >&5
-$as_echo "$ac_cv_lib_mpdclient_mpd_connection_new" >&6; }
-if test "x$ac_cv_lib_mpdclient_mpd_connection_new" = xyes; then :
-  has_mpd_header="true"
+{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_mpd_mpd_connect" >&5
+$as_echo "$ac_cv_lib_mpd_mpd_connect" >&6; }
+if test "x$ac_cv_lib_mpd_mpd_connect" = x""yes; then :
+  has_libmpd_lib="true"
 else
-  has_mpd_header="false"
+  has_libmpd_lib="false"
 fi
 
-   if test "$has_mpd_header" = "true"; then
-      PLUGINS="$PLUGINS plugin_mpd.o"
-      PLUGINLIBS="$PLUGINLIBS `pkg-config libmpdclient --libs`"
-      CPPFLAGS="$CPPFLAGS `pkg-config libmpdclient --cflags`"
+      if test "$has_libmpd_lib" = "true"; then
+        PLUGINS="$PLUGINS plugin_mpd.o"
+        PLUGINLIBS="$PLUGINLIBS -lmpd"
 
 $as_echo "#define PLUGIN_MPD 1" >>confdefs.h
 
+      else
+        { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: libmpd lib not found: mpd plugin disabled" >&5
+$as_echo "$as_me: WARNING: libmpd lib not found: mpd plugin disabled" >&2;}
+      fi
    else
-      { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: libmpdclient.h header not found: mpd plugin disabled" >&5
-$as_echo "$as_me: WARNING: libmpdclient.h header not found: mpd plugin disabled" >&2;}
-      { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: get libmpdclient.h from http://www.musicpd.org/libmpdclient.shtml" >&5
-$as_echo "$as_me: WARNING: get libmpdclient.h from http://www.musicpd.org/libmpdclient.shtml" >&2;}
-      { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: and copy those 2 files in the lcd4linux directory." >&5
-$as_echo "$as_me: WARNING: and copy those 2 files in the lcd4linux directory." >&2;}
+      { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: libmpd/libmpd.h header not found: mpd plugin disabled" >&5
+$as_echo "$as_me: WARNING: libmpd/libmpd.h header not found: mpd plugin disabled" >&2;}
    fi
 fi
 
diff -ur orig.lcd4linux/lcd4linux-0.11.0~svn1165/plugins.m4 mod.lcd4linux/lcd4linux-0.11.0~svn1165/plugins.m4
--- orig.lcd4linux/lcd4linux-0.11.0~svn1165/plugins.m4	2011-12-26 15:28:05.000000000 +0900
+++ mod.lcd4linux/lcd4linux-0.11.0~svn1165/plugins.m4	2014-06-16 20:18:09.179841427 +0900
@@ -451,17 +451,19 @@
 
 # MPD
 if test "$PLUGIN_MPD" = "yes"; then
-   AC_CHECK_LIB(mpdclient, [mpd_connection_new], [has_mpd_header="true"], [has_mpd_header="false"])
-   if test "$has_mpd_header" = "true"; then
-      PLUGINS="$PLUGINS plugin_mpd.o"
-      PLUGINLIBS="$PLUGINLIBS `pkg-config libmpdclient --libs`"
-      CPPFLAGS="$CPPFLAGS `pkg-config libmpdclient --cflags`"
-      AC_DEFINE(PLUGIN_MPD,1,[mpd plugin])      
+   AC_CHECK_HEADERS(libmpd/libmpd.h, [has_libmpd_header="true"], [has_libmpd_header="false"])
+   if test "$has_libmpd_header" = "true"; then	
+      AC_CHECK_LIB(mpd, mpd_connect, [has_libmpd_lib="true"], [has_libmpd_lib="false"])
+      if test "$has_libmpd_lib" = "true"; then
+        PLUGINS="$PLUGINS plugin_mpd.o"
+        PLUGINLIBS="$PLUGINLIBS -lmpd"
+        AC_DEFINE(PLUGIN_MPD,1,[mpd plugin])
+      else
+        AC_MSG_WARN(libmpd lib not found: mpd plugin disabled)
+      fi
    else
-      AC_MSG_WARN(libmpdclient.h header not found: mpd plugin disabled)
-      AC_MSG_WARN(get libmpdclient.h from http://www.musicpd.org/libmpdclient.shtml)
-      AC_MSG_WARN(and copy those 2 files in the lcd4linux directory.)
-   fi
+      AC_MSG_WARN(libmpd/libmpd.h header not found: mpd plugin disabled)
+   fi 
 fi
 
 # MPRIS D-Bus
